package cn.hnthyy.thmz.service.his.zd;

import cn.hnthyy.thmz.entity.his.zd.MzZdYpYsh;

import java.util.List;

public interface MzZdYpYshService {
    /**
     * 根据通用查询参数和药房编码查询有锁定库存的药品
     * @param commonParams
     * @param groupNo
     * @return
     */
    List<MzZdYpYsh> queryMzZdYpYshByCommonParamsAndGroupNo(String commonParams,String groupNo);



    /**
     * 查询所有有锁定库存的医材
     *
     * @return
     */
    List<MzZdYpYsh> queryAllYcList();


    /**
     * 查询所有有锁定库存的麻、精一药品
     *
     * @return
     */
    List<MzZdYpYsh> queryAllMjyList();


    /**
     * 查询所有有锁定库存的精二药品
     *
     * @return
     */
    List<MzZdYpYsh> queryAllJeList();

}
